# Lean - getAwsParameter method

If there is a video identification process that stores the evidence on aws, you can use this method to recovery the credentials for the selected lra/service

**For the full technical reference, see the [OpenAPI specification](/products/leandisposable/openapi/document/getawsparameter)**.

REST API
#### Endpoint


```
GET /api/document/{lraId}/getAwsParameter
```

#### Headers

| Name | Required | Description |
|  --- | --- | --- |
| `Content-Type` | Yes | Must be `application/json`. |
| `Authorization` | Yes | Basic Auth credentials. |


#### Path parameters

| Parameter | Type | Required | Description |
|  --- | --- | --- | --- |
| `lraId` | integer | Yes | LRA identifier. |


#### Query parameters

| Parameter | Type | Required | Description |
|  --- | --- | --- | --- |
| `serviceId` | string | Yes | The service name. |


#### Response examples

**200 — Parameters returned**


```json
{
  "serviceId": "Service_Test",
  "arn": "arn_test",
  "accessKey": "access_key_test",
  "secretAccessKey": "secret_access_key_test"
}
```

SOAP API
The SOAP interface is deprecated. Use the REST API instead.

**Method:** getAwsParameter

| Parameter | Description | Mandatory |
|  --- | --- | --- |
| `lraid` | The LRA identification code | YES |
| `serviceId` | The service name | YES |


#### Request example


```xml
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ser="http://service.ws.nam/">
   <soapenv:Header/>
   <soapenv:Body>
      <ser:getAwsParameter>      
      <lraid>111</lraid>
      <serviceId>Service_Test</serviceId>
      </ser:getAwsParameter>
   </soapenv:Body>
</soapenv:Envelope>
```

#### Response example


```xml
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
    <soap:Body>
        <ns2:getAwsParameterResponse xmlns:ns2="http://service.ws.nam/">
            <return>
                <accessKey>access_key_test</accessKey>
                <arn>arn_test</arn>
                <secretAccessKey>secret_access_key_test</secretAccessKey>
                <serviceId>Service_Test</serviceId>
            </return>
        </ns2:getAwsParameterResponse>
    </soap:Body>
</soap:Envelope>
```

#### Error codes

| Error code | Description |
|  --- | --- |
| [245](/products/leandisposable/enterprise-documentation/developer-documentation/integration-guide/lean-ig-how-to-handle-errors#error-245-lra-not-authorized-to-use-this-service) | LRA not authorized to use this service |


For authentication errors, see [Authentication](/products/leandisposable/enterprise-documentation/developer-documentation/authentication).